com.io7m.r2.core.cursors

## Interface R2VertexPUNT16ReadableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    R2VertexPUNT16Type
  All Known Implementing Classes:
    R2VertexPUNT16ByteBuffered

      public interface R2VertexPUNT16ReadableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The readable interface to values of the `R2VertexPUNT16` record type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jtensors.ieee754b16.VectorReadable3Db16Type` | `getNormalReadable()`
    `com.io7m.jtensors.ieee754b16.VectorReadable3Db16Type` | `getPositionReadable()`
    `com.io7m.jtensors.ieee754b16.VectorReadable4Db16Type` | `getTangentReadable()`
    `com.io7m.jtensors.ieee754b16.VectorReadable2Db16Type` | `getUvReadable()`
    `int` | `metaNormalOffsetFromCursor()`
    `int` | `metaNormalOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector` | `metaNormalType()`
    `int` | `metaPositionOffsetFromCursor()`
    `int` | `metaPositionOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector` | `metaPositionType()`
    `int` | `metaTangentOffsetFromCursor()`
    `int` | `metaTangentOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector` | `metaTangentType()`
    `int` | `metaUvOffsetFromCursor()`
    `int` | `metaUvOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector` | `metaUvType()`

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### metaPositionOffsetFromType

          int metaPositionOffsetFromType()

      Returns:
        The offset in octets of the `position` field, from the start of the type

    - #### metaPositionOffsetFromCursor

          int metaPositionOffsetFromCursor()

      Returns:
        The offset in octets of the `position` field, from the cursor

    - #### metaPositionType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector metaPositionType()

      Returns:
        The type of the `position` field

    - #### getPositionReadable

          com.io7m.jtensors.ieee754b16.VectorReadable3Db16Type getPositionReadable()

      Returns:
        Read-only access to the `position` field

    - #### metaUvOffsetFromType

          int metaUvOffsetFromType()

      Returns:
        The offset in octets of the `uv` field, from the start of the type

    - #### metaUvOffsetFromCursor

          int metaUvOffsetFromCursor()

      Returns:
        The offset in octets of the `uv` field, from the cursor

    - #### metaUvType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector metaUvType()

      Returns:
        The type of the `uv` field

    - #### getUvReadable

          com.io7m.jtensors.ieee754b16.VectorReadable2Db16Type getUvReadable()

      Returns:
        Read-only access to the `uv` field

    - #### metaNormalOffsetFromType

          int metaNormalOffsetFromType()

      Returns:
        The offset in octets of the `normal` field, from the start of the type

    - #### metaNormalOffsetFromCursor

          int metaNormalOffsetFromCursor()

      Returns:
        The offset in octets of the `normal` field, from the cursor

    - #### metaNormalType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector metaNormalType()

      Returns:
        The type of the `normal` field

    - #### getNormalReadable

          com.io7m.jtensors.ieee754b16.VectorReadable3Db16Type getNormalReadable()

      Returns:
        Read-only access to the `normal` field

    - #### metaTangentOffsetFromType

          int metaTangentOffsetFromType()

      Returns:
        The offset in octets of the `tangent` field, from the start of the type

    - #### metaTangentOffsetFromCursor

          int metaTangentOffsetFromCursor()

      Returns:
        The offset in octets of the `tangent` field, from the cursor

    - #### metaTangentType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector metaTangentType()

      Returns:
        The type of the `tangent` field

    - #### getTangentReadable

          com.io7m.jtensors.ieee754b16.VectorReadable4Db16Type getTangentReadable()

      Returns:
        Read-only access to the `tangent` field

Copyright © 2017 <code@io7m.com> http://io7m.com